Package Details: pkgclip 1.3.0-2

Git Clone URL: https://aur.archlinux.org/pkgclip.git (read-only)
Package Base: pkgclip
Description: Cached Packages Trimmer Utility
Upstream URL: https://jjacky.com/pkgclip
Licenses: GPL3+
Submitter: jjacky
Maintainer: jjacky
Last Packager: jjacky
Votes: 14
Popularity: 0.000233
First Submitted: 2012-01-17 13:09
Last Updated: 2018-06-04 17:45

Latest Comments

1 2 Next › Last »

jjacky commented on 2019-10-27 15:12

No, don't use such symlinks, that's just wrong. All you need to do is to rebuild pkgclip against the latest libalpm; recent API changes don't affect it.

So just bump your pkgrel,rebuild your package and upgrade, that's it.

kzoli429 commented on 2019-10-26 19:16

ln -s /usr/lib/libalpm.so.12 /usr/lib/libalpm.so.11

may help but package may need to be modified. Thanks.

kzoli429 commented on 2019-10-26 19:09

pkgclip: error while loading shared libraries: libalpm.so.11: cannot open shared object file: No such file or directory

MagicAndWires commented on 2019-06-18 13:27

Please change the License to just 'GPL3' instead of GPL3+ (which is not recognized by the arch system) and saved COPYING to /usr/share/licenses/pkgclip instead of in the /usr/share/doc/pkgclip folder

adam777 commented on 2016-02-01 07:21

Thanks for the pointer.

jjacky commented on 2016-01-30 14:35

There's nothing needed for pkgclip actually, if you're using pacman 5 all you need to do is rebuild pkgclip (so it links against the new libalpm), but all API changes do not affect pkgclip.

So e.g. edit your PKGBUILD to bump pkgrel and rebuild, that's it.

Also, would be a good idea to actually build from branch next on github if you're not already (see [1] for a PKGBUILD), since a few bugfixes have been applied. (Yes, a new release is due...)

[1] https://github.com/jjk-jacky/abs/tree/master/pkgclip-git

adam777 commented on 2016-01-30 06:46

Please update for pacman 5.0.0 :-)

adam777 commented on 2012-11-09 08:48

Hello,
Not sure it's even up to you, but latest gtk3 messes up pkgclip under KDE using the oxygen-gtk theme.
Scrrenshot:
http://i.imgur.com/F2J6F.png

Anonymous comment on 2012-10-29 18:53

Thanks for your patience. So obviously some glitch in what aurget is trying to do. The first time I installed pkgclip, I did so manually, and all was well.
Again, wonderful package.

jjacky commented on 2012-10-29 13:53

It sounds like you might be confusing two things: The tarball from github (pkgclip-1.1.0.tar.gz) is the source code, used to build the package, so there is indeed no PKGBUILD in there. What aurget downloads, I assume, is the tarball from the AUR (pkgclip.tar.gz), that will (here) only contain the PKGBUILD (it could also have patches, .install files, etc).

Once you have the files from the AUR tarball (here only the PKGBUILD) you can use makepkg to make the package, it will then download the source code (from github), check the md5sum (which shall pass) and create the package.